Author Topic: upgrade 1.6 to current  (Read 1525 times)

0 Members and 1 Guest are viewing this topic.

bfmradio

  • Full Member
  • ***
  • Posts: 19
    • BrooklynFM
upgrade 1.6 to current
« on: April 29, 2020, 10:44:27 PM »
Hi

Is it possible to upgrade 1.6 to current version without losing settings etc?

On my hosing softaculous does not show any updates available

many thanks


faf

  • Mibew Staff Member
  • Native
  • *****
  • Posts: 907
    • Mibew Messenger
Re: upgrade 1.6 to current
« Reply #1 on: April 30, 2020, 09:10:17 AM »
Sorry, but there are no way to migrate from 1.6.x to 2.x/3.x. At least there are no official way, and I'm not aware of any unofficial ones.

bfmradio

  • Full Member
  • ***
  • Posts: 19
    • BrooklynFM
Re: upgrade 1.6 to current
« Reply #2 on: April 30, 2020, 06:12:50 PM »
hmm   so, the only way is to clean install and recreate all from scratch?

Thanks

faf

  • Mibew Staff Member
  • Native
  • *****
  • Posts: 907
    • Mibew Messenger
Re: upgrade 1.6 to current
« Reply #3 on: April 30, 2020, 11:20:36 PM »
so, the only way is to clean install and recreate all from scratch?

Yep. Sadly, that's the only way.

bfmradio

  • Full Member
  • ***
  • Posts: 19
    • BrooklynFM
Re: upgrade 1.6 to current
« Reply #4 on: May 01, 2020, 12:02:27 AM »
tHANKS
 SADLY indeed....   :(   more time to invest into setting it all up again

bfmradio

  • Full Member
  • ***
  • Posts: 19
    • BrooklynFM
Re: upgrade 1.6 to current
« Reply #5 on: May 03, 2020, 03:58:25 AM »
So, here it is:

I installed last version, there are two things that I would like to ask:

1 NO templates of any kind...   Is it how it should be?

2 I downloaded Russian pack, unzipped it, put RU folder in locale directory...  It still show EN in (Language of the messages left by visitors) in the settings and no way it want to change to Russian.

I logged out, logged in... nothing.

Also, at first, when pressed on picture  the contact window would open from bottom right Conner, now it opens as a separate tab in browser...

What am I doing wrong?

Thank you very much :)

« Last Edit: May 03, 2020, 01:38:30 PM by bfmradio »

faf

  • Mibew Staff Member
  • Native
  • *****
  • Posts: 907
    • Mibew Messenger
Re: upgrade 1.6 to current
« Reply #6 on: May 03, 2020, 04:32:54 PM »
To begin with please ask questions in separate topics. That way it will easier for other people to find it in the future.

1 NO templates of any kind...   Is it how it should be?

Not sure what are you talking about. If you want to customize Mibew Messenger, read this: https://docs.mibew.org/theming.html

2 I downloaded Russian pack, unzipped it, put RU folder in locale directory...  It still show EN in (Language of the messages left by visitors) in the settings and no way it want to change to Russian.

I logged out, logged in... nothing.

You'd better use search: https://mibew.org/forums/index.php/topic,192213.msg199815.html

Also, at first, when pressed on picture  the contact window would open from bottom right Conner, now it opens as a separate tab in browser...

What am I doing wrong?

No idea. Insufficient information. Have you somehow altered the button code? Have you tried different browsers? Are there any errors in the javascript console?

Also, there is a special option 'Use windows (even for modern browsers)' in the button generator. Make sure, that you've unchecked it during the button generation.

bfmradio

  • Full Member
  • ***
  • Posts: 19
    • BrooklynFM
Re: upgrade 1.6 to current
« Reply #7 on: May 03, 2020, 07:57:17 PM »
Thank you for replying, and sorry for mixing up all in one post.

I was able to figure it out with your help as far as other language, yet still a little bit confused:

Even though some things are in Russian, the invitation box that opens up on site (offline/online) still shows this in English

Sorry. None of the support team is available at the moment.
Please leave a message and someone will get back to you shortly.

OR
Thank you for contacting us. Please fill out the form below and click the Start Chat button.

Don't know where to change it :(

*********************

NO templates of any kind...   Is it how it should be?  CLARIFICATION:

Select a style for your operator pages
Select a style for your chat windows
Select a style for your invitation


All of these have only DEFAULT and nothing else to choose from.  In my old 1.6.15 messenger I had at least 2-3 themes.

***********************

And about plugins, I downloaded some of them...  I am not a programmer, but my understanding was telling me to put them
in http://mysite.com/mibew/plugins

I tried to figure it out myself by reading the help file on that subject, and I realized that I may have done something incorrectly...  way to complicated.   Maybe you could please explain in simple words what I maybe doing wrong?

Thank you.

PS I understand that you have a lot of people here, and some, if not all, topics have been discussed in that past, BUT sometimes it is difficult to find what you need if you do not know how to properly form your query.  I always try to solve things on my own and ask for help if I fail. So, please forgive me for bothering you. 


faf

  • Mibew Staff Member
  • Native
  • *****
  • Posts: 907
    • Mibew Messenger
Re: upgrade 1.6 to current
« Reply #8 on: May 04, 2020, 09:01:39 AM »
I was able to figure it out with your help as far as other language, yet still a little bit confused:

Even though some things are in Russian, the invitation box that opens up on site (offline/online) still shows this in English

Have you regenerated the button for the Russian locale?

NO templates of any kind...   Is it how it should be?  CLARIFICATION:

Select a style for your operator pages
Select a style for your chat windows
Select a style for your invitation


All of these have only DEFAULT and nothing else to choose from.  In my old 1.6.15 messenger I had at least 2-3 themes.

Starting with 2.0 Mibew Messenger has only one (default) theme. If you need a custom one, you should create it yourself, or hire someone to do so.

Of course we're open for contributions, but there were no open source third party themes until now.

And about plugins, I downloaded some of them...  I am not a programmer, but my understanding was telling me to put them
in http://mysite.com/mibew/plugins

I tried to figure it out myself by reading the help file on that subject, and I realized that I may have done something incorrectly...  way to complicated.   Maybe you could please explain in simple words what I maybe doing wrong?

Another stand alone question in the same topic... :\

Read that fine manual: https://docs.mibew.org/plugins/installation.html

bfmradio

  • Full Member
  • ***
  • Posts: 19
    • BrooklynFM
Re: upgrade 1.6 to current
« Reply #9 on: May 04, 2020, 04:25:52 PM »

I read it... I said I did.   If I give you EKG (Electro cardiogramm) will you be able to read it without understanding and knowledge?

Useless,  thank you.

faf

  • Mibew Staff Member
  • Native
  • *****
  • Posts: 907
    • Mibew Messenger
Re: upgrade 1.6 to current
« Reply #10 on: May 04, 2020, 07:01:38 PM »
I read it... I said I did.   If I give you EKG (Electro cardiogramm) will you be able to read it without understanding and knowledge?

Useless,  thank you.

I don't believe that your analogy is correct. In the given manual the plugin installation process is described step by step, and that manual is written for a person with only some basic skills. If it's too complicated for you, maybe you should hire or ask someone with appropriate competencies. No offence.

bfmradio

  • Full Member
  • ***
  • Posts: 19
    • BrooklynFM
Re: upgrade 1.6 to current
« Reply #11 on: May 04, 2020, 07:43:03 PM »
thanks for advice.  I thought I could ask someone here :(       I do not understand why after unzipping those plugins it has folder in folder in folder...  is it how it should be?  Isn't the content of the plugin supposed to be directly in the named folder?
https://snipboard.io/y6Dci1.jpg  here it is.    It says that this plugin does not need additional configuration.  Yet, When I go into plugins (control panel) - nothing is in there.

I spent the whole day trying to figure out the mailer problem, then this...  I never had any problem with mibew 1.6 ... This new version is like frigin lego.  I understand  the part download, put it in some directory etc. But then, open config file, put in this line, then get google API then enter this there...  It is programming... one still needs to know where to put { where to put ] etc...  I have no knowledge of this stuff, so I am guessing  "trial and error" and then, look at the clock DAMN 9 hrs passed. 

Honestly, I would continue using 1.6 but it does not work with php v 7.3



As far as the button:   Yes I copied the code.  But it still show those line in english  https://snipboard.io/Kx1UP7.jpg

Anyway, thanks in advance


« Last Edit: May 05, 2020, 03:39:42 AM by bfmradio »

faf

  • Mibew Staff Member
  • Native
  • *****
  • Posts: 907
    • Mibew Messenger
Re: upgrade 1.6 to current
« Reply #12 on: May 05, 2020, 08:35:35 AM »
thanks for advice.  I thought I could ask someone here :(       I do not understand why after unzipping those plugins it has folder in folder in folder...  is it how it should be?  Isn't the content of the plugin supposed to be directly in the named folder?
https://snipboard.io/y6Dci1.jpg  here it is.    It says that this plugin does not need additional configuration.  Yet, When I go into plugins (control panel) - nothing is in there.

One more time: read the docs and follow the instructions. Let me quote it for you:

Quote
When you've got the plugin's archive you should extract files from it and upload them to the Mibew Messenger's web server. The files of the plugin should be placed in <mibew base path>/plugins/<Vendor name>/Mibew/Plugin/<Plugin name>/ directory.

For example the full name of the main file of "FooCorp:Connector" plugin should be <mibew base path>/plugins/FooCorp/Mibew/Plugin/Connector/Plugin.php.

In case of official plugins of Mibew Messenger project the vendor is Mibew (obviously). So, for the listed Mibew:GeoIp plugin (which, btw, does need additional configuration) the main file of the plugin should be situated in <mibew base path>/plugins/Mibew/Mibew/Plugin/GeoIp/Plugin.php .

I don't know why you've created extra directories for each plugin. All you had to do is to place a zip archive in the appropriate directory (i.e. plugins/ ), unzip it, and then delete the archive.

I spent the whole day trying to figure out the mailer problem, then this...  I never had any problem with mibew 1.6 ... This new version is like frigin lego.  I understand  the part download, put it in some directory etc. But then, open config file, put in this line, then get google API then enter this there...  It is programming... one still needs to know where to put { where to put ] etc...  I have no knowledge of this stuff, so I am guessing  "trial and error" and then, look at the clock DAMN 9 hrs passed. 

Honestly, I would continue using 1.6 but it does not work with php v 7.3

You don't have to "guess" anything. You have to follow written instructions. And no, it's not even close to programming. However, you're free not to use Mibew Messenger if it seems too complicated to you.

As far as the button:   Yes I copied the code.  But it still show those line in english  https://snipboard.io/Kx1UP7.jpg

Do you have any caching for "static" files? My guess is that you do.

Mibew Messenger dynamically generates some files that has "static" extensions, namely locales/<XX>/translation.js , where XX stands for locale code. So, requests to that files should be passed to Mibew Messenger. If you don't know what it's all about, contact your hoster.

faf

  • Mibew Staff Member
  • Native
  • *****
  • Posts: 907
    • Mibew Messenger
Re: upgrade 1.6 to current
« Reply #13 on: May 06, 2020, 07:29:29 AM »
Ok, I've checked this manually. At the moment request to http://[your domain]/chat/locales/ru/translation.js gives 404 Not Found error.

There are no such static file indeed, but that request should be handled by Mibew Messenger itself. Like it happens on our demo installation: https://demo2.mibew.org/locales/ru/translation.js

Your web server is misconfigured. Fix it, or ask someone to do so.

bfmradio

  • Full Member
  • ***
  • Posts: 19
    • BrooklynFM
Re: upgrade 1.6 to current
« Reply #14 on: May 06, 2020, 07:12:30 PM »
I see.  I looked in that directory and the file translation.js is not there.
Not in RU not in EN

http://mysite/chat/locales/ru/translation.js

Does it have to be in there?

and you say server is "misconfigured"   Can you tell me what needs to be configured?
Hosting support does not want to help with anything because it is a 3rd party app.
But if you tell me at least hint where to look, I will :)


About plugins.  If you look at this pic, you will see that it says WORKING.  Does it mean it really is working and I did configuration correctly?

https://snipboard.io/14PMyc.jpg


Strange but now whatever line that were ENG became russian :) I do not know if there is any corelation but I did make sure all files and folders have permission 755. 

« Last Edit: May 06, 2020, 08:02:28 PM by bfmradio »